Ticket #43597

installer_cross: Cleanup passing parameters to nsi creation scripts

Open Date: 2022-01-11 18:25 Last Update: 2022-01-18 21:13

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

As far as I know, it's not currently causing actual ill effects, but passing parameters to nsi creation scripts from installer_build.sh has a couple of issues

- uninstaller parameter gets given after the output redirection - not very clean or readable
- When building Qt-client, $MPGUI is not set. It's sheer luck that neither is later parameter ($UNISTALLER) that would get erroneously passed in wrong position

Ticket History (3/7 Histories)

2022-01-11 18:25 Updated by: cazfi
  • New Ticket "installer_cross: Cleanup passing parameters to nsi creation scripts" created
2022-01-11 18:58 Updated by: cazfi
2022-01-15 14:58 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

Will likely push master/S3_1 first (before 3.0.0 gets released)

2022-01-15 19:25 Updated by: cazfi
Comment

Did testing on S3_0 too. Works fine.

I would still want to accept this to 3.0.0 (and not to wait that S3_0 opens for 3.0.1 development):
- Pushing this "base" commit to all branches at the same time would make development work more manageable
- installer_cross stuff is currently more about building nightly builds from the git than about maximum stability of the specific revision that ends to the release

2022-01-18 21:13 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login